{ pkgs ? import <nixpkgs> { } }:
with pkgs;
mkShell {
    buildInputs = [
        glib elfutils pcre2 util-linux
        libunwind libffi zlib libselinux
        stdenv

        go_1_20
        gst_all_1.gstreamer
        gst_all_1.gstreamer.dev
        gst_all_1.gst-libav
        gst_all_1.gst-plugins-base
        gst_all_1.gst-plugins-good
        gst_all_1.gst-plugins-bad
        gst_all_1.gst-plugins-ugly
        protoc-gen-go
        protoc-gen-go-grpc
        protobuf
        go-tools
    ];
    nativeBuildInputs = [
        pkg-config
    ];
}